@import url('https://fonts.googleapis.com/css2?family=Spartan:wght@100;200;300;400;500;600;700;800;900&displayswap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Spartan', sans-serif;
}

h1 {
    font-size: 50px;
    line-height: 64px;
    color: #222;
}

h2 {
    font-size: 46px;
    line-height: 54px;
    color: #222;
}

h4 {
    font-size: 20px;
    color: #222;
}

h6 {
    font-weight: 700;
    font-size: 12px;
}

P {
    font-size: 16px;
    color: #465b52;
    margin: 15px 0 20px 0;
}

.section-p1 {
    padding: 40px 80px;
}

.section-m1 {
    margin: 40px 0;
}

button.normal {
    font-size: 14px;
    font-weight: 600;
    padding: 15px 30px;
    color: #000;
    background-color: #fff;
    border-radius: 4px;
    cursor: pointer;
    border: none;
    outline: none;
    transition: 0.2s;
}

body {
    width: 100%;
}

/*     Header    */

#header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 20px 80px;
    background: #e3eef3;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.06);
    z-index: 999;
    position: sticky;
    top: 0;
    left: 0;

}



/* Shop sub menu */


.sub-menu-1 {
    display: none;
}

.menu-bar ul li:hover .sub-menu-1 {
    display: block;
    position: absolute;
    background: rgb(159, 220, 235);
    margin-top: 2px;
    margin-left: -15px;
}

.menu-bar ul li:hover .sub-menu-1 ul {
    display: block;
    margin: 10px;
}

.menu-bar ul li:hover .sub-menu-1 ul li {
    width: 100px;
    padding: 10px;
    border-bottom: 1px dotted #fff;
    border-radius: 0;
    text-align: left;

}

.menu-bar ul li:hover .sub-menu-1 ul li:last-child {
    border-bottom: none;
}



.menu-bar ul li:hover .sub-menu-1 ul li a:hover {
    color: #b2ff00;
}

/* #logo{
    padding: 0 70px 30px 0px;
} */

#navbar {
    display: flex;
    align-items: center;
    justify-content: center;
}

#navbar li {
    list-style: none;
    padding: 0px 20px;
    position: relative;
}

#navbar li a {
    text-decoration: none;
    font-size: 16px;
    font-weight: 600;
    color: #1a1a1a;
    transition: 0.3s ease;
}

#navbar li a:hover,
#navbar li a.active {
    color: rgb(103, 167, 167);
}

#navbar li a.active::after,
#navbar li a:hover::after {
    content: "";
    width: 30%;
    height: 2px;
    background: rgb(103, 167, 167);
    position: absolute;
    bottom: -4px;
    left: 20px;
}

#mobile {
    display: none;
    align-items: center;
}

#close {
    display: none;
}

/*      Hero Section     */

#hero {
    background-image: url("img/home/sack-rice-seed-with-white-rice-small-glass-bowl-rice-plant.png");
    height: 90vh;
    width: 100%;
    background-size: cover;
    background-position: top 25% right 0;
    padding: 0 80px;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
}

#hero p {
    color: white;
}

#hero h4 {
    color: white;
    padding-bottom: 15px;
}

#hero h2 {
    color: white
}

#hero h1 {
    color: rgb(135, 231, 238)
}

#hero button {
    background-image: url(img/17955959.jpg);
    background-color: transparent;
    color: rgb(103, 167, 167);
    border: 0;
    padding: 14px 80px 14px 65px;
    background-repeat: no-repeat;
    cursor: pointer;
    font-weight: 700;
    font-size: 15px;

}

#feature {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-wrap: wrap;
}

#feature .fe-box {
    width: 180px;
    text-align: center;
    padding: 25px 15px;
    box-shadow: 20px 20px 34px rgba(0, 0, 0, 0.03);
    border: 1px solid #cce7d0;
    border-radius: 4px;
    margin: 15px 0;
}

#feature .fe-box:hover {
    box-shadow: 10px 10px 54px rgba(70, 62, 221, 0.03);
}

#feature .fe-box img {
    width: 100%;
    margin-bottom: 10px;
}

#feature .fe-box h6 {
    display: inline-block;
    padding: 9px 8px 6px 8px;
    line-height: 1;
    border-radius: 4px;
    color: #088178;
    background-color: #fddde4;

}

#feature .fe-box:nth-child(2) h6 {
    background-color: #cdebbc;
}

#feature .fe-box:nth-child(3) h6 {
    background-color: #d1e8f2;
}

#feature .fe-box:nth-child(4) h6 {
    background-color: #cdd4f8;
}

#feature .fe-box:nth-child(5) h6 {
    background-color: #f6dbf8;
}

#feature .fe-box:nth-child(6) h6 {
    background-color: #fff2e5;
}

#product1 {
    text-align: center;
}

#product1 .pro-container {
    display: flex;
    justify-content: space-between;
    padding-top: 20px;
    flex-wrap: wrap;
}

#product1 .pro {
    width: 23%;
    min-width: 250px;
    padding: 10px 12px;
    border: 1px solid #cce7d0;
    border-radius: 25px;
    cursor: pointer;
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.02);
    margin: 15px 0;
    transition: 0.2s ease;
    position: relative;
}

#product1 .pro:hover {
    box-shadow: 20px 20px 30px rgba(0, 0, 0, 0.06);
}


#product1 .pro img {
    width: 100%;
    border-radius: 20px;
}

#product1 .pro .des {
    text-align: start;
    padding: 10px 0;
}

#product1 .pro .des span {
    color: #606063;
    font-size: 12px;
}

#product1 .pro .des h5 {
    padding-top: 7px;
    color: #1a1a1a;
    font-size: 14px;
}

#product1 .pro .des i {
    font-size: 12px;
    color: rgb(243, 181, 25);
}

#product1 .pro .des h4 {
    padding-top: 7px;
    font-size: 15px;
    font-weight: 700;
    color: #088178;
}

#product1 .pro .cart {
    width: 40px;
    height: 40px;
    line-height: 40px;
    border-radius: 50px;
    background-color: #e8f6ea;
    font-weight: 500;
    color: #088178;
    border: 1px solid #cce7d0;
    position: absolute;
    bottom: 20px;
    right: 10px;
}

#banner {
    align-items: center;
    flex-direction: column;
    justify-content: center;
    display: flex;
    text-align: center;
    background-image: url("img/banner/2.png");
    width: 100%;
    height: 40vh;
    background-size: cover;
    background-position: center;
}

#banner h4 {
    color: #fff;
    font-size: 16px;
}

#banner h2 {
    color: #fff;
    font-size: 30px;
    padding: 10px 0;
}



/*          Newsletter         */

#newsletter {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
    background-image: url("img/banner/b14.png");
    background-repeat: no-repeat;
    background-position: 20% 30%;
    background-color: #041e42;
}

#newsletter h4 {
    font-size: 22px;
    font-weight: 700;
    color: #fff;
}

#newsletter p {
    font-size: 14px;
    font-weight: 600;
    color: #818ea0;
}

#newsletter .form {
    display: flex;
    width: 40%;
}

#newsletter input {
    height: 3.125rem;
    padding: 0 1.25em;
    font-size: 14px;
    width: 100%;
    border: 1px solid transparent;
    border-radius: 4px;
    outline: none;
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}

#newsletter button {
    background-color: #088178;
    color: #fff;
    white-space: nowrap;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}


/*           footer         */

footer {
    display: flex;
    flex-direction: wrap;
    justify-content: space-between;
}

footer .foot {
    display: flex;
    flex-direction: wrap;
    justify-content: space-between;
}

footer .col {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin: 20px;
}


footer .logo {
    margin-bottom: 30px;
}

footer h4 {
    font-size: 14px;
    padding-bottom: 20px;
}

footer p {
    font-size: 13px;
    margin: 0 0 8px 0;
}

footer a {
    font-size: 13px;
    text-decoration: none;
    color: #222;
    margin-bottom: 10px;
}

footer .follow {
    margin-top: 20px;
}

footer .follow a {
    height: 100px;
    width: 100px;
    /* background-color: #f5f6fa; */
    text-align: center;
    /* border-radius: 50px; */
    margin-right: 5px;
    /* box-shadow: 1px 4px 2px 2px #dcdde1; */
}

.fa-instagram {
    color: #e84393;
}

.fa-facebook {
    color: #0097e6;
}

.fa-whatsapp {
    color: #48ff00;
}

footer .follow a i {
    transition: all 0.3s linear;

}

footer .follow a:hover i {
    transition: scale(1.4);
    color: #088178;
}

footer .copyright {
    width: 100%;
    text-align: center;
}



/* Single Product  */

#prodetails {
    display: flex;
    margin-top: 20px;
}

#prodetails .single-pro-image {
    width: 40%;
    margin-right: 50px;
}

.small-img-group {
    display: flex;
    justify-content: space-between;
}

.small-img-col {
    flex-basis: 24%;
    cursor: pointer;
}


#prodetails .single-pro-details {
    width: 50%;
    padding-top: 30px;
}

#prodetails .single-pro-details h4 {
    padding: 40px 0 20px 0;
}

#prodetails .single-pro-details h2 {
    font-size: 26px;
}

/* #prodetails .single-pro-details select{
    display: block;
    padding: 5px 10px;
    margin-bottom: 10px;
} */


#prodetails .single-pro-details input {
    width: 50px;
    height: 47px;
    padding-left: 10px;
    font-size: 16px;
    margin-right: 10px;
}

#prodetails .single-pro-details input:focus {
    outline: none;
}

#prodetails .single-pro-details button {
    background: #088178;
    color: #fff;
}

#prodetails .single-pro-details span {
    line-height: 25px;
}




/*         Shop Page       */


#page-header {
    background-image: url("img/banner/1.png");
    width: 100%;
    height: 50vh;
    background-size: cover;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    padding: 14px;
}

#page-header h2,
#page-header p {
    color: #fff;
}

#product1 .pro-container .pro .content {
    position: absolute;
    width: 100%;
    height: 100%;
    position: absolute;
    padding: 15px;
    top: 0;
    left: 0;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    flex-direction: column;
    background: rgba(41, 29, 29, 0.5);
    color: #fff;
    opacity: 0;
    transition: opacity 0.30s;
    border-radius: 20px;

}

#product1 .pro-container .pro .content:hover {
    opacity: 1;
}




/* About Page */

#page-header.about-header {
    background-image: url("img/about/banner.png");
}

#about-head {
    display: flex;
    align-items: center;
}


#about-head img {
    width: 50%;
    height: auto;
}

#about-head div {
    padding-left: 40px;
}

/* contact page */

#contact-details {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

#contact-details .details {
    width: 40%;
}

#contact-details .details span,
#form-details form span {
    font-size: 12px;
}

#contact-details .details h2,
#form-details form h2 {
    font-size: 26px;
    line-height: 35px;
    padding: 20px 0;
}

#contact-details .details h3 {
    font-size: 16px;
    padding-bottom: 15px;
}

#contact-details .details li {
    list-style: none;
    display: flex;
    padding: 10px 0;
}

#contact-details .details li i {
    font-size: 14px;
    padding-right: 22px;
}

#contact-details .details li p {
    margin: 0;
    font-size: 14px;
}


#contact-details .map {
    width: 55%;
    height: 400px;
}

#contact-details .map iframe {
    width: 100%;
    height: 100%;
}

#form-details {
    display: flex;
    justify-content: space-between;
    margin: 30px;
    padding: 80px;
    border: 1px solid #e1e1e1;
}



#form-details form {
    width: 65%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
}

#form-details form input,
#form-details form textarea {
    width: 100%;
    padding: 12px 15px;
    outline: none;
    margin-bottom: 20px;
    border: 1px solid #e1e1e1;
}

#form-details form button {
    background-color: #088178;
    color: #fff;
}

/* cart page */

#cart table {
    width: 100%;
    border-collapse: collapse;
    table-layout: fixed;
    white-space: nowrap;
}

#cart table img {
    width: 70px;
}

#cart table td:nth-child(1) {
    width: 100px;
    text-align: center;
}

#cart table td:nth-child(2) {
    width: 150px;
    text-align: center;
}

#cart table td:nth-child(3) {
    width: 250px;
    text-align: center;
}

#cart table td:nth-child(4),
#cart table td:nth-child(5),
#cart table td:nth-child(6) {
    width: 150px;
    text-align: center;
}

#cart table td:nth-child(5) input {
    width: 70px;
    padding: 10px 5px 10px 15px;
}

#cart table thead {
    border: 1px solid #e2e9e1;
    border-left: none;
    border-right: none;
}

#cart table thead td {
    font-weight: 700;
    text-transform: uppercase;
    font-size: 13px;
    padding: 18px 0;
}

#cart table tbody tr td {
    padding-top: 15px;
}

#cart table tbody td {
    font-size: 13px;
}


/* Registration page */


#Registrationfar {
    display: flex;
    /* flex-direction: column; */
    height: 100vh;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
}

#Registrationfar .cont {

    max-width: 700px;

    width: 100%;
    background-color: #fff;
    padding: 25px 30px;
    border-radius: 5px;


}

#Registrationfar .cont .title {
    font-size: 25px;
    font-weight: 500;
    position: relative;
}

#Registrationfar .cont .title::before {
    content: '';
    position: absolute;
    left: 0;
    bottom: 0;
    height: 3px;
    width: 30px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
}

#Registrationfar .cont form .user-details {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    margin: 20px 0 12px 0;
}

#Registrationfar form .user-details .input-box {
    margin-bottom: 15px;
    width: calc(100% / 2 - 20px);
}

#Registrationfar .user-details .input-box .details {
    display: block;
    font-weight: 500;
    margin: 5px;
}

#Registrationfar .user-details .input-box input {
    height: 45px;
    width: 100%;
    outline: none;
    border-radius: 5px;
    border: 1px solid #ccc;
    padding-left: 15px;
    font-size: 16px;
    border-bottom-width: 2px;
    transition: all 0.3s ease;
}

#Registrationfar .user-details .input-box input:focus,
#Registrationfar .user-details .input-box input:valid {
    border-color: #9b59b6;
}

#Registrationfar form .button {
    height: 45px;
    margin: 45px 0;

}

#Registrationfar form .button input {
    height: 100%;
    width: 100%;
    outline: none;
    color: #fff;
    border: none;
    font-size: 18px;
    cursor: pointer;
    font-weight: 500;
    border-radius: 5px;
    letter-spacing: 1px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
}

#Registrationfar form .button input:hover {
    background: linear-gradient(-135deg, #71b7e6, #9b59b6);
}



/* login page */


#login-main {
    display: flex;
    /* flex-direction: column; */
    height: 100vh;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);

}

#login-main .loginbox a {

    text-decoration: none;
    color: rgb(0, 0, 0);

}

#login-main .loginbox {

    width: 320px;
    height: 420px;
    background: white;
    color: black;
    top: 50%;
    left: 50%;
    position: absolute;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    box-shadow: 1px 1px 7px white;
    border-radius: 10px;
    opacity: 0.9;
}

#login-main .loginbox:hover {

    opacity: 1;

}

#login-main .button {
    cursor: pointer;
    width: 60%;
    background: #fb2525;
    color: #fff;
    border: none;
    outline: none;
    height: 40px;
    font-size: 18px;
    border-radius: 20px;

}

#login-main .button:hover {

    background: purple;
}

#loginbox form a {

    text-decoration: none;
    color: #000;
    line-height: 30px;
    background-color: #088178;
}

#login-main form a:hover {
    color: blue;
}


#login-main .loginbox p {

    margin: 4px;
    padding: 0;
    font-weight: bold;

}

#login-main .loginbox input {

    width: 90%;
    margin: 10px;

}

#login-main .loginbox input[type="text"],
input[type="password"] {
    border: none;
    border-bottom: 1px solid black;
    background: transparent;
    outline: none;
    height: 40px;
    color: rgb(0, 0, 0);
    font-size: 15px;
    margin: 10px;
}

#login-main .loginbox p {
    margin: 10px;
}

#login-main .loginbox h3 {
    margin: 20px;
}




/* login two button */

#two_button {
    display: flex;
    /* flex-direction: column; */
    height: 50vh;
    justify-content: center;
    align-items: center;
    padding: 10px;
    background: linear-gradient(135deg, #71b7e6, #9b59b6);
}

#two_button .normal {
    height: 45px;
    margin: 45px 0;

}

#two_button .normal {
    height: 30%;
    width: 30%;
    outline: none;
    color: rgb(0, 0, 0);
    border: none;
    font-size: 18px;
    /* justify-content: space-between; */
    margin: 30px;
    cursor: pointer;
    font-weight: 500;
    border-radius: 5px;
    letter-spacing: 1px;
    /* background: linear-gradient(135deg, #71b7e6, #9b59b6); */
}

#two_button .normal:hover {
    background: linear-gradient(-135deg, #71b7e6, #9b59b6);
}








/* @media (max-width: 584px) {
    #Registrationfar .cont{
        max-width: 100%;
    }
    #Registrationfar form .user-details .input-box{
        margin-bottom: 15px;
        width: 100%;
    }
    #Registrationfar .cont form .user-details{
        max-height: 300px;
        overflow-y: scroll;
    }
    
} */



/* Ipad */

@media (max-width:799px) {

    .section-p1 {
        padding: 40px 40px;
    }

    #navbar {
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        justify-content: flex-start;
        position: fixed;
        top: 0;
        right: -300px;
        height: 100vh;
        width: 300px;
        background-color: #E3E6F3;
        box-shadow: 0 40px 60px rgba(0, 0, 0, 0.1);
        padding: 80px 0 0 10px;
        transition: 0.3s;
    }

    #navbar.active {
        right: 0px;
    }

    #navbar li {
        margin-bottom: 25px;
    }

    #mobile {
        display: flex;
        align-items: center;
    }

    #mobile i {
        color: #1a1a1a;
        font-size: 24px;
        padding-left: 20px;
    }

    #close {
        display: initial;
        position: absolute;
        top: 30px;
        left: 30px;
        color: #222;
        font-size: 24px;
    }

    #lg-bag {
        display: none;
    }

    #hero {
        height: 70vh;
        padding: 0 80px;
        background-position: top 30% right 30%;

    }

    #hero p {
        color: rgb(255, 255, 255);
    }

    #hero h4 {
        color: white;
        padding-bottom: 15px;
    }

    #hero h2 {
        color: rgb(75, 78, 128)
    }

    #hero h1 {
        color: rgb(29, 167, 247)
    }

    #feature {
        justify-content: center;

    }

    #feature .fe-box {
        margin: 15px 15px;
    }

    #product1 .pro-container {

        justify-content: center;

    }

    #product1 .pro {

        margin: 15px;
    }
}

/* Mobile */

@media (max-width: 477px) {
    .section-p1 {
        padding: 20px;
    }

    #header {
        padding: 10px 30px;

    }

    #hero {
        padding: 0 20px;
        background-position: 55%;
    }

    h2 {
        font-size: 32px;
    }

    h1 {
        font-size: 38px;

    }

    #hero h2 {
        color: rgb(255, 255, 255)
    }

    #feature .fe-box {
        width: 155px;
        margin: 0 0 15px 0;
    }

    #feature {
        justify-content: space-between;
    }

    #product1 .pro {
        width: 100%;
    }

    #newsletter {
        padding: 40px 20px;
    }

    #newsletter .form {

        width: 100%;
    }

    footer {
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }

    /* single product */

    #prodetails {
        display: flex;
        flex-direction: column;
    }

    #prodetails .single-pro-image {
        width: 100%;
        margin-right: 0px;
    }

    #prodetails .single-pro-details {
        width: 100%;

    }

    /* About Page */

    #about-head {

        flex-direction: column;
    }

    #about-head img {
        width: 100%;
        margin-bottom: 20px;
    }

    #about-head div {
        padding-left: 0px;
    }

    /* contact page */

    #contact-details {
        flex-direction: column;
    }

    #contact-details .details {
        width: 100%;
        margin-bottom: 30px;
    }

    #contact-details .map {
        width: 100%;
    }

    #form-details {

        margin: 10px;
        padding: 30px 10px;
        flex-wrap: wrap;
    }

    #form-details form {
        width: 100%;
        margin-bottom: 30px;
    }
}

.okayy{
    background-color: white;
    border-radius: 25px;
  
    
     
}

